commit 367e8e91d16c92834855f306eedb402c43a4589f
Author: Alex Coplan <alex.coplan@arm.com>
Date:   Tue Oct 6 16:48:48 2020 +0100

    arm: Add missing part number for Neoverse V1
    
    This patch adds the part number for Neoverse V1 which was missing from
    the initial AArch32 support in GCC 8.
    
    gcc/ChangeLog:
    
            * config/arm/driver-arm.c (arm_cpu_table): Add neoverse-v1.

diff --git a/gcc/config/arm/driver-arm.c b/gcc/config/arm/driver-arm.c
index 45ad92ef0e0..83522897d06 100644
--- a/gcc/config/arm/driver-arm.c
+++ b/gcc/config/arm/driver-arm.c
@@ -56,6 +56,7 @@ static struct vendor_cpu arm_cpu_table[] = {
     {"0xd09", "armv8-a+crc", "cortex-a73"},
     {"0xd05", "armv8.2-a+fp16+dotprod", "cortex-a55"},
     {"0xd0a", "armv8.2-a+fp16+dotprod", "cortex-a75"},
+    {"0xd40", "armv8.4-a+fp16", "neoverse-v1"},
     {"0xd49", "armv8.4-a+fp16", "neoverse-n2"},
     {"0xc14", "armv7-r", "cortex-r4"},
     {"0xc15", "armv7-r", "cortex-r5"},

